import express from 'express';
import { PlanController } from '../controllers/plan.controller';
import { authenticateToken } from '../middleware/auth';

const router = express.Router();

router.use(authenticateToken);

router.get('/', PlanController.getPlans);
router.post('/', PlanController.savePlan);
router.delete('/:id', PlanController.deletePlan);

export default router;
